﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using NetworkResurrector.Api.Domain.Entities;

namespace NetworkResurrector.Api.Domain.Data.EntityTypeConfiguration
{
    class MachineAgentConfiguration : IEntityTypeConfiguration<MachineAgent>
    {
        public void Configure(EntityTypeBuilder<MachineAgent> builder)
        {
            builder.ToTable("MachineAgent").HasKey(key => key.MachineId);
        }
    }
}
